Capture Credit Card Transaction
Captures a previously preauthorized credit card transaction. This completes the payment process by transferring the held funds. This is typically used after a preauthorization when the final transaction amount is known and the merchant is ready to capture the funds.
Use Case 1: $0 Preauthorization (No Capture)
If a $0 preauthorization is performed, it is used to validate the credit card and check whether the card is valid and active. No amount is blocked on the card. Since no money is preauthorized, capture is not required. For example, you want to verify a card before saving it for future payments.
Use Case 2: Amount Preauthorization (Capture Later)
If a preauthorization is performed for an amount greater than $0, the specified amount is blocked on the customer's credit card. The amount is captured later when the transaction is finalized. This is useful when the final charge happens after some time.
- Type: stringx
-application Source requiredA custom HTTP header that accepts a free-form string value. It is used to identify the application making the API request. For example, if Punchh invokes the API, the value could be "punchh".
- Type: stringX
- Location Id requiredThe unique location identifier for the store or business location processing the transaction.
- Type: stringContent
- Type requiredThe media type of the request body. Must be set to
application/json. - Type: stringAuthorizationrequired
Bearer token for API authorization. Send in the format:
Bearer ACCESS_TOKEN_GOES_HERE.
Request details for capture transaction
- Type: stringpar
Pay Transaction Id min length:1requiredA unique identifier for the transaction being cancelled.
- Type: object ·transaction
Amount Details required - Type: string Format: date-timetransaction
Date Time U T C requiredThe transaction date and time in UTC format.
- Type: string · enumchannelvalues
- None
- P
O S - Kiosk
- Type: string · enumpayment
Source values- Scan
To Pay - Online
- None
- Type: string | null Format: date-timetransaction
Date Time Local The transaction date and time in local format.
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
curl https://SERVER_NAME_GOES_HERE.partech.com/creditcard/v1/capture \
--request POST \
--header 'x-applicationSource: ' \
--header 'X-LocationId: ' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--data '{
"parPayTransactionId": "TRANSACTION_ID_GOES_HERE",
"transactionDateTimeUTC": "2026-03-06T11:28:29.707906Z",
"transactionDateTimeLocal": "2026-03-06T11:28:29.707",
"transactionAmountDetails": {
"taxAmount": 0,
"discount": 0,
"productTotalAmount": null,
"totalAmount": 10000,
"tip": null
},
"paymentSource": "ScanToPay",
"channel": null
}'
{
"transactionAmount": "1000.00",
"parPayTransactionId": "TRANSACTION_ID_GOES_HERE",
"statusMessage": "Succeeded!",
"transactionDateTimeUTC": "2026-03-06T11:28:29.7079734Z",
"status": "Success"
}